#!/usr/bin/env python
# ----------------------------------------------------------------------------
# ----------------------------------------------------------------------------
#   9b matCapSetup.py
#   Author: Tim Vazquez
#   tim@cgmstudios.com
#   version: 1.1
#   04/02/2012
#   04/03/2012 - Script looks up the ID of the polyRender instead of assuming polyRender007
# ----------------------------------------------------------------------------
# ----------------------------------------------------------------------------

import lx
ScnSrvc = lx.Service("sceneservice")

def moveMatCaps():
        nameMatch = "9b_"
        matCapCount = ScnSrvc.query("matcapShader.N")
        i=0
        while i < matCapCount:
            name = lx.eval("query sceneservice matcapShader.name ? %s" % i)
            polyRender = lx.eval("query sceneservice polyRender.ID ? 0")

            if nameMatch in name: #make sure this is a 9b mactCap
                id = lx.eval("query sceneservice matcapShader.id ? %s" % i)
                lx.eval('select.drop item')
                lx.eval('select.item %s set' % id)
                lx.eval('texture.parent %s -1' % polyRender)
            i+=1
            
        lx.eval('select.drop item')
            
def delete9bMask():
    nameMatch = "9b matCap.lxe"
    textureCount = ScnSrvc.query("txLayer.N")
    itemsToDelete = []
    i = 0
    while i < textureCount:
        name = lx.eval("query sceneservice txLayer.name ? %s" % i)
        
        if nameMatch in name:
            id = lx.eval('query sceneservice txLayer.id ? %s' % i)
            itemsToDelete.append(id)
        i+=1
        
    for id in itemsToDelete:
        lx.eval('select.item %s set' % id)
        lx.eval('texture.delete')

def setDisplay():
    lx.eval('view3d.shadingStyle advgl')
    lx.eval('view3d.wireframeOverlay none')
    
try:
    setDisplay()
    moveMatCaps()
    delete9bMask()
except:
    lx.out('Exception "%s" on line: %d' % (sys.exc_value, sys.exc_traceback.tb_lineno))